Skip to main content
Back to API List Use this API to disable a previously scheduled Voice or SMS campaign.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/schedule?enableSchedule=false&campaignName={{campaignName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Query Parameters

ParameterDescriptionType
enableScheduleDisable a campaign schedule with either Daily or Weekly recurrence patterns. Set it to false.boolean, required
campaignNameThe name of the Voice or SMS campaign.string, required

Sample Request

curl --location 'https://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/schedule?enableSchedule=false&campaignName={{campaignName}}' \
--header 'auth: {{jwt_token}}' \
--header 'Content-Type: application/json' \
--header 'accountid: {{accountid}}' \
--header 'iid: {{iid}}' \
--data '{}'

Request Headers

HeaderDescriptionType/Required
authJWT token for authentication.string, required
accountIdThe account ID associated with the API request.string, required
Content-TypeThe format in which the request payload is sent to the server. Example: application/jsonstring, required
iidBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Sample Response

{
    "status": "success",
    "message": "Campaign Agentless Voice | Product Feedback | Jan 9 schedule has been disabled successfully",
    "id": "cd-671b3bd-a7a1-4709-bd6a-70803e3xxxxx"
}

Response Parameters

ParameterDescriptionType
statusIndicates the response status. Example: successstring
messageDescriptive message about the result.string
idUnique identifier of the Voice or SMS campaign that was successfully disabled.string